Update Picklist Value
Change a picklist value name or status. To change a picklist value label, see Update Picklist Value Label.
Use caution when editing picklist value names. When you change a picklist value name, it may affect existing document and object metadata that refer to the picklist. This may also break existing integrations that access picklist values via the API.
PUT
/api/{version}/objects/picklists/{picklist_name}/{picklist_value_name}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{picklist_name} | The picklist name field value (license_type__v, product_family__c, region__c, etc.) |
{picklist_value_name} | The picklist value name field value (north_america__c, south_america__c, etc.) |
Body Parameters
Section link for Body ParametersAt least one of the following parameters is required:
| Name | Description |
|---|---|
nameconditional | The new name for a picklist value. This does not affect the label. Vault adds __c after processing. Special characters and double underscores __ are not allowed. |
statusconditional | The new status for a picklist value. Valid values are active or inactive. |
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "name=north_america_united_states" \
https://myvault.veevavault.com/api/v24.1/objects/picklists/regions__c/north_america__cResponse
Section link for Response{
"responseStatus": "SUCCESS"
}Response Details
Section link for Response DetailsOnly the picklist value name is changed. The picklist value label remains the same. In the UI, Admins will see the new name in Business Admin > Picklists > {Picklist}.